Bug 967715 - Applications and workspaces not remembered on session-restore
Applications and workspaces not remembered on session-restore
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 02:18 EDT by Amit Shah
Modified: 2015-02-19 02:47 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:21:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 704675 None None None Never

  None (edit)
Description Amit Shah 2013-05-28 02:18:22 EDT
Description of problem:

This is a regression from F18: I updated to F19 via fedup and upon logout/login, all the applications start on workspace 1, instead of the shell creating as many workspaces as were enabled during the logout.

E.g. I have an instance of Firefox on workspace 5.  F18 used to start firefox on workspace 5 on login, but on F19, it's started on workspace 1.

This also used to work for multiple instances of the same app.  e.g. I had several instances of evince showing different pdfs on various workspaces: 1, 4, 5, etc..  and on F18, the evince windows used to show up properly on the workspace they were originally on.
Comment 1 Florian Müllner 2013-05-28 08:48:23 EDT
Is that with an extension that stopped working? There was never any code in gnome-shell to restore applications on startup ...
Comment 2 Amit Shah 2013-05-28 09:19:33 EDT
No, I don't have any extensions.  gnome-session-properties has a checkbox for 'remember applications on logout', I have that turned on.
Comment 3 Florian Müllner 2013-05-29 12:01:04 EDT
Mmh, I wasn't aware that gnome-session remembered workspaces ... reassigning to gnome-session then, which is the component that does session saving.
Comment 4 Fedora End Of Life 2015-01-09 13:13:46 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 10:21:08 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Berend De Schouwer 2015-02-19 02:47:39 EST
Re-opened as #1194153 since it's still a problem in Fedora 21.

Note You need to log in before you can comment on or make changes to this bug.